%define  oname js-jquery1

Name:           jquery
Version:        1.12.4
Release:        %mkrel 1
Summary:        JavaScript DOM manipulation, event handling, and AJAX library
BuildArch:      noarch

%global ver_x %(echo %{version} | cut -d. -f1)
%global ver_y %(echo %{version} | cut -d. -f2)
%global ver_z %(echo %{version} | cut -d. -f3)

Group:          Development/Other

License:        MIT     
URL:            https://jquery.com/
Source0:        https://github.com/jquery/jquery/archive/%{version}/jquery-%{version}.tar.gz

# disable gzip-js during build
Patch1:         %{oname}-disable-gzip-js.patch
# backport of XSS bug fix from upstream
Patch2:         xss-fix-b078a62.patch

BuildRequires:  web-assets-devel
BuildRequires:  nodejs-packaging
BuildRequires:  js-sizzle-static

Provides:       jquery = %{version}-%{release}
Provides:       %{oname}-static = %{version}-%{release}

BuildRequires:  nodejs-grunt >= 0.4.4-3
BuildRequires:  npm(shelljs)
BuildRequires:  npm(grunt-cli)
BuildRequires:  npm(grunt-contrib-uglify)
BuildRequires:  npm(load-grunt-tasks)
BuildRequires:  npm(requirejs)
#BuildRequires:  npm(strip-json-comments) # won't work on epel7 branch
BuildRequires:  nodejs-strip-json-comments

Requires:       web-assets-filesystem

%description
jQuery is a fast, small, and feature-rich JavaScript library. It makes things
like HTML document traversal and manipulation, event handling, animation, and 
Ajax much simpler with an easy-to-use API that works across a multitude of 
browsers. With a combination of versatility and extensibility, jQuery has 
changed the way that millions of people write JavaScript.

%prep
# autosetup doesn't work right on epel7 branch
%setup -qn jquery-%{version}
%patch1 -p1
%patch2 -p1

#remove precompiled stuff
rm -rf dist/* src/sizzle

#put sizzle where jquery expects it
install -Dp %{_jsdir}/sizzle/latest/sizzle.js src/sizzle/dist/sizzle.js


%build
%nodejs_symlink_deps --build
grunt -v 'build:*:*' 
#uglify


# missing dependencies
#%%check
#grunt


%install
%global installdir %{buildroot}%{_jsdir}/jquery

mkdir -p %{installdir}/%{version}
cp -p dist/* %{installdir}/%{version}

mkdir -p %{buildroot}%{_webassetdir}
ln -s ../javascript/jquery %{buildroot}%{_webassetdir}/jquery

ln -s %{version} %{installdir}/%{ver_x}
ln -s %{version} %{installdir}/%{ver_x}.%{ver_y}


%files
%{_jsdir}/jquery
%{_webassetdir}/jquery
%doc AUTHORS.txt CONTRIBUTING.md LICENSE.txt README.md



%changelog
* Tue Apr 25 2017 neoclust <neoclust> 1.12.4-1.mga6
+ Revision: 1097351
- New version 1.12.4 - Fixes XSS vulnerability (mga#20039)

* Fri Feb 05 2016 umeabot <umeabot> 1.7.2-6.mga6
+ Revision: 938650
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.7.2-5.mga5
+ Revision: 740558
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.7.2-4.mga5
+ Revision: 680858
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.7.2-3.mga4
+ Revision: 506443
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 1.7.2-2.mga3
+ Revision: 355563
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Sep 07 2012 neoclust <neoclust> 1.7.2-1.mga3
+ Revision: 289272
- imported package jquery


* Mon May 14 2012 Karel Klíč <kklic@redhat.com> - 1.7.2-1
- Initial packaging based on Toshio Kuratomi's spec file
